> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Queries all sales orders.



## OpenAPI

````yaml /openapi/2.1.json get /v2/sales-orders
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.2.0-alpha.9492+Sha.4c8d5d1\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.1'
  x-application-version: 2.2.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Sales Orders
  - name: Marketplace Seller
  - name: Seller
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/sales-orders:
    get:
      tags:
        - Sales Order
      summary: Queries all sales orders.
      operationId: SalesOrderDomain_QuerySalesOrders
      parameters:
        - name: pageNumber
          in: query
          description: Number of the page of items to fetch. Defaults to 1 when omitted.
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: >-
            Size of the page specified by PageNumber. Defaults to 100 when
            omitted.
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          description: >-
            Property to sort by. Multiple comma-separated fields are applied in
            order (OrderBy, then ThenBy).
          schema:
            type: string
        - name: sortDescending
          in: query
          description: Sort in descending order. Defaults to ascending when omitted.
          schema:
            type: boolean
        - name: estimatedDeliveryDateAfter
          in: query
          description: >-
            Only include items whose EstimatedDeliveryDate is after (greater
            than) this value.
          schema:
            type: string
            format: date-time
        - name: estimatedDeliveryDateBefore
          in: query
          description: >-
            Only include items whose EstimatedDeliveryDate is before (less than)
            this value.
          schema:
            type: string
            format: date-time
        - name: lastShippingDateAfter
          in: query
          description: >-
            Only include items whose LastShippingDate is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: lastShippingDateBefore
          in: query
          description: >-
            Only include items whose LastShippingDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: salesOrderDateAfter
          in: query
          description: >-
            Only include items whose SalesOrderDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: salesOrderDateBefore
          in: query
          description: >-
            Only include items whose SalesOrderDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: printDateAfter
          in: query
          description: >-
            Only include items whose PrintDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: printDateBefore
          in: query
          description: Only include items whose PrintDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: mailDateAfter
          in: query
          description: >-
            Only include items whose MailDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: mailDateBefore
          in: query
          description: Only include items whose MailDate is before (less than) this value.
          schema:
            type: string
            format: date-time
        - name: paymentMailDateAfter
          in: query
          description: >-
            Only include items whose PaymentMailDate is after (greater than)
            this value.
          schema:
            type: string
            format: date-time
        - name: paymentMailDateBefore
          in: query
          description: >-
            Only include items whose PaymentMailDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: dateOfPaymentAfter
          in: query
          description: >-
            Only include items whose DateOfPayment is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: dateOfPaymentBefore
          in: query
          description: >-
            Only include items whose DateOfPayment is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: paymentDateAfter
          in: query
          description: >-
            Only include items whose PaymentDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: paymentDateBefore
          in: query
          description: >-
            Only include items whose PaymentDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateAfter
          in: query
          description: >-
            Only include items whose CancelledDate is after (greater than) this
            value.
          schema:
            type: string
            format: date-time
        - name: cancelledDateBefore
          in: query
          description: >-
            Only include items whose CancelledDate is before (less than) this
            value.
          schema:
            type: string
            format: date-time
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      responses:
        '200':
          description: Paged result.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.SalesOrderListItem
        '400':
          description: Bad request.
          content:
            application/json: {}
        '401':
          description: Unauthorized.
          content:
            application/json: {}
        '403':
          description: Forbidden.
          content:
            application/json: {}
        '500':
          description: Internal server error.
          content:
            application/json: {}
      security:
        - oauth2-authorization-code: []
        - oauth2-client-credentials: []
components:
  schemas:
    JTL.Framework.Api.Abstraction.Models.PagedListOfJTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.SalesOrderListItem:
      type: object
      additionalProperties: false
      required:
        - TotalItems
        - PageNumber
        - PageSize
        - Items
      properties:
        totalItems:
          type: integer
          format: int32
        pageNumber:
          type: integer
          format: int32
        pageSize:
          type: integer
          format: int32
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.SalesOrderListItem
        totalPages:
          type: integer
          format: int32
        hasPreviousPage:
          type: boolean
        hasNextPage:
          type: boolean
        nextPageNumber:
          type: integer
          format: int32
        previousPageNumber:
          type: integer
          format: int32
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.SalesOrderListItem:
      type: object
      description: Single row of the salesorder overview table
      additionalProperties: false
      required:
        - Id
        - AssignedUserId
        - CreatedByUserId
        - CurrencyFactor
        - DeliveryCompleteStatus
        - DepartureCountryCurrencyFactor
        - DepartureCountryCurrencyIso
        - ExternalSalesInvoiceType
        - ExtraWeight
        - IsIntraCommunityDelivery
        - IsCancelled
        - IsPending
        - ItemDescriptionType
        - LanguageIso
        - NeedsOnlineSynchronisation
        - ReadOnlyType
        - SalesOrderDate
        - SalesOrderNumber
        - SalesOrderStatus
        - ShippingPriority
        - IsExemptFromVat
        - CompanyId
        - SalesInvoiceStatus
        - CustomerGroupName
        - SalesInvoiceCorrectionTotalGrossAmount
        - AlreadyPaidAmount
        - PaymentStatus
        - DeliveryStatus
        - Deliverability
        - PlatformType
      properties:
        id:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VerkaufAuftragKey'
          description: Sales order id
        accountsReceivableNumber:
          type: integer
          description: The SalesOrder AccountsReceivableNumber
          format: int32
        assignedUserId:
          $ref: '#/components/schemas/JTL.Identity.Abstractions.BenutzerKey'
          description: Assigned user ID
        companyName:
          type: string
          description: Company name
        createdByUserId:
          $ref: '#/components/schemas/JTL.Identity.Abstractions.BenutzerKey'
          description: Created by user ID
        currencyFactor:
          type: number
          description: Currency factor
          format: decimal
        currencyIso:
          type: string
          description: Currency ISO code
        customerId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.KundeKey'
          description: Customer ID
        customerNumber:
          type: string
          description: The SalesOrder CustomerNumber
        deliveryCompleteStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.DeliveryCompleteStatus
          description: The SalesOrder DeliveryCompleteStatus
        departureCountryIso:
          type: string
          description: The SalesOrder CountryISO
        departureCountryCurrencyFactor:
          type: number
          description: The SalesOrder CurrencyFactor
          format: decimal
        departureCountryCurrencyIso:
          type: string
          description: The SalesOrder CurrencyISO
        ebayUsername:
          type: string
          description: The SalesOrder EbayUsername
        estimatedDeliveryDate:
          type: string
          description: The SalesOrder
          format: date-time
        externalSalesInvoiceType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ExternalSalesInvoiceType
          description: The SalesOrder ExternalInvoiceType
        externalSalesOrderNumber:
          type: string
          description: The SalesOrder
        extraWeight:
          type: number
          description: The SalesOrder ExtraWeight
          format: decimal
        isIntraCommunityDelivery:
          type: boolean
          description: SpacialTaxTreatment IntraCommunityDelivery
        isCancelled:
          type: boolean
          description: Indicates if the order is cancelled
        isPending:
          type: boolean
          description: Indicates if the order is pending
        itemDescriptionType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ItemDescriptionType
          description: Item description type
        languageIso:
          type: string
          description: Language ISO code
        lastShippingDate:
          type: string
          description: The latest SalesOrder ShippingDate
          format: date-time
        needsOnlineSynchronisation:
          type: boolean
          description: The SalesOrder NeedsOnlineSynchronization
        onHoldReasonId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.RueckhaltegrundKey'
          description: On hold reason ID
        paymentMethodId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ZahlungsartKey'
          description: Payment method ID
        paymentDueDateInDays:
          type: integer
          description: The SalesOrder PaymentDueDateInDays
          format: int32
        processColourCode:
          type: integer
          description: Process colour code
          format: int32
        processColourName:
          type: string
          description: Process colour name
        processStatusName:
          type: string
          description: Process status name
        readOnlyType:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ReadOnlyType
          description: Read only type indicator
        salesChannelId:
          type: string
          description: Sales channel ID
        platformId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.PlattformKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw platform key
            (kPlattform); kept only as the source for salesChannelId.
        shopId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ShopKey'
          description: >-
            DEPRECATED: do not use; use salesChannelId instead. Raw shop key
            (kShop); kept only as the source for salesChannelId.
        salesOrderDate:
          type: string
          description: The date when the order was created
          format: date-time
        salesOrderNumber:
          type: string
          description: The SalesOrder SalesOrderNumber
        salesOrderStatus:
          type: integer
          description: Sales order status
          format: int32
        shippingMethodId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.VersandartKey'
          description: Shipping method ID
        shippingPriority:
          type: integer
          description: The SalesOrder ShippingPriority
          format: int32
        shopPaymentModule:
          type: string
          description: The SalesOrder ShopPaymentModule
        taxSetting:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.TaxSetting
          description: The SalesOrder TaxSetting
        totalGrossAmount:
          type: number
          description: The total gross amount of the order
          format: decimal
        isExemptFromVat:
          type: boolean
          description: SpacialTaxTreatment VATFree
        companyId:
          $ref: '#/components/schemas/JTL.Data.Contracts.Keys.FirmaKey'
          description: The company ID
        onlineSalesOrderId:
          type: integer
          description: The internet order ID
          format: int32
        comment:
          type: string
          description: Comment/Annotation
        printDate:
          type: string
          description: Print date
          format: date-time
        mailDate:
          type: string
          description: Mail date
          format: date-time
        paymentMailDate:
          type: string
          description: Payment mail date
          format: date-time
        dateOfPayment:
          type: string
          description: Date of payment
          format: date-time
        paymentDate:
          type: string
          description: Payment date
          format: date-time
        onHoldReasonName:
          type: string
          description: On hold reason name
        salesInvoiceStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoiceStatus
          description: Sales invoice status
        billingAddressCompany:
          type: string
          description: Billing address company
        billingAddressAdditionalCompanyLine:
          type: string
          description: Billing address additional company line
        billingAddressSalutation:
          type: string
          description: Billing address salutation
        billingAddressTitle:
          type: string
          description: Billing address title
        billingAddressFirstName:
          type: string
          description: Billing address first name
        billingAddressLastName:
          type: string
          description: Billing address last name
        billingAddressStreet:
          type: string
          description: Billing address street
        billingAddressAdditionalAddressLine:
          type: string
          description: Billing address additional address line
        billingAddressPostalCode:
          type: string
          description: Billing address postal code
        billingAddressCity:
          type: string
          description: Billing address city
        billingAddressCountryName:
          type: string
          description: Billing address country name
        billingAddressPhoneNumber:
          type: string
          description: Billing address phone number
        billingAddressMobilePhoneNumber:
          type: string
          description: Billing address mobile phone number
        billingAddressFax:
          type: string
          description: Billing address fax
        billingAddressEmailAddress:
          type: string
          description: Billing address email address
        billingAddressPostId:
          type: string
          description: Billing address post ID
        billingAddressState:
          type: string
          description: Billing address state
        billingAddressCountryIso:
          type: string
          description: Billing address country ISO
        shipmentAddressCompany:
          type: string
          description: Shipment address company
        shipmentAddressAdditionalCompanyLine:
          type: string
          description: Shipment address additional company line
        shipmentAddressSalutation:
          type: string
          description: Shipment address salutation
        shipmentAddressTitle:
          type: string
          description: Shipment address title
        shipmentAddressFirstName:
          type: string
          description: Shipment address first name
        shipmentAddressLastName:
          type: string
          description: Shipment address last name
        shipmentAddressStreet:
          type: string
          description: Shipment address street
        shipmentAddressAdditionalAddressLine:
          type: string
          description: Shipment address additional address line
        shipmentAddressPostalCode:
          type: string
          description: Shipment address postal code
        shipmentAddressCity:
          type: string
          description: Shipment address city
        shipmentAddressCountryName:
          type: string
          description: Shipment address country name
        shipmentAddressPhoneNumber:
          type: string
          description: Shipment address phone number
        shipmentAddressMobilePhoneNumber:
          type: string
          description: Shipment address mobile phone number
        shipmentAddressFax:
          type: string
          description: Shipment address fax
        shipmentAddressEmailAddress:
          type: string
          description: Shipment address email address
        shipmentAddressPostId:
          type: string
          description: Shipment address post ID
        shipmentAddressState:
          type: string
          description: Shipment address state
        shipmentAddressCountryIso:
          type: string
          description: Shipment address country ISO
        assignedUserName:
          type: string
          description: Assigned user name
        salesChannelName:
          type: string
          description: Sales channel name
        customerGroupName:
          type: string
          description: Customer group name
        paymentMethodName:
          type: string
          description: Payment method name
        shippingMethodName:
          type: string
          description: Shipping method name
        shippingCountryTotalGrossAmount:
          type: number
          description: Shipping country total gross amount
          format: decimal
        customerComment:
          type: string
          description: Customer comment
        paymentReference:
          type: string
          description: Payment reference
        salesInvoiceCorrectionTotalGrossAmount:
          type: number
          description: Credits total gross amount
          format: decimal
        alreadyPaidAmount:
          type: number
          description: Already paid amount
          format: decimal
        stillToPay:
          type: number
          description: Still to pay amount
          format: decimal
        totalNetAmount:
          type: number
          description: Total net amount
          format: decimal
        wMSLocked:
          type: integer
          description: WMS locked
          format: int32
        wMSPartialShipment:
          type: integer
          description: WMS partial shipment
          format: int32
        wMSPrePicking:
          type: integer
          description: WMS pre picking
          format: int32
        paymentStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoicePaymentStatus
          description: Payment status
        deliveryStatus:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.DeliveryStatus
          description: Delivery status
        deliverability:
          $ref: >-
            #/components/schemas/JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.Deliverability
          description: >-
            Indicates whether and to what extent the sales order is available
            for delivery.
        platformType:
          type: integer
          description: Platform type
          format: int32
        salesInvoiceNumbers:
          type: string
          description: Sales invoice numbers
        cancelledDate:
          type: string
          description: Cancelled date
          format: date-time
        cancellationComment:
          type: string
          description: Cancellation comment
        cancellationUserName:
          type: string
          description: Cancellation user name
        cancellationReason:
          type: string
          description: Cancellation reason
        amazonUserId:
          type: integer
          description: Amazon user ID
          format: int32
        createdByUserName:
          type: string
          description: Created by user name
    JTL.Data.Contracts.Keys.VerkaufAuftragKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Identity.Abstractions.BenutzerKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.KundeKey:
      type: string
      description: Represents a unique key for identifying a customer in the JTL system.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.DeliveryCompleteStatus:
      type: integer
      description: >-
        0 = DeliveryNotComplete, 1 = DeliveryComplete, 2 =
        DeliveryCompleteWithoutDeliveryNote
      format: int32
      x-enumNames:
        - DeliveryNotComplete
        - DeliveryComplete
        - DeliveryCompleteWithoutDeliveryNote
      enum:
        - 0
        - 1
        - 2
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ExternalSalesInvoiceType:
      type: integer
      description: 0 = None, 1 = NoInvoiceNoOutput, 2 = NoInvoice
      format: int32
      x-enumNames:
        - None
        - NoInvoiceNoOutput
        - NoInvoice
      enum:
        - 0
        - 1
        - 2
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ItemDescriptionType:
      type: integer
      description: 0 = None, 1 = Brief, 2 = Long
      format: int32
      x-enumNames:
        - None
        - Brief
        - Long
      enum:
        - 0
        - 1
        - 2
    JTL.Data.Contracts.Keys.RueckhaltegrundKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ZahlungsartKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.ReadOnlyType:
      type: integer
      description: 0 = ChangesAllowed, 1 = InvoicedExternally, 2 = ChangesForbidden
      format: int32
      x-enumNames:
        - ChangesAllowed
        - InvoicedExternally
        - ChangesForbidden
      enum:
        - 0
        - 1
        - 2
    JTL.Data.Contracts.Keys.PlattformKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.ShopKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Data.Contracts.Keys.VersandartKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.TaxSetting:
      type: integer
      description: >-
        0 = DeliveryWithVat, 10 = IntraCommunityDelivery, 15 =
        ExemptFromVatReverseCharge, 20 = ExemptFromVat
      format: int32
      x-enumNames:
        - DeliveryWithVat
        - IntraCommunityDelivery
        - ExemptFromVatReverseCharge
        - ExemptFromVat
      enum:
        - 0
        - 10
        - 15
        - 20
    JTL.Data.Contracts.Keys.FirmaKey:
      type: string
      description: Represents a key for identifying a firm within the application.
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoiceStatus:
      type: integer
      description: 0 = NotInvoiced, 1 = PartiallyInvoiced, 2 = CompletelyInvoiced
      format: int32
      x-enumNames:
        - NotInvoiced
        - PartiallyInvoiced
        - CompletelyInvoiced
      enum:
        - 0
        - 1
        - 2
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.InvoicePaymentStatus:
      type: integer
      description: 0 = Unpaid, 1 = PartiallyPaid, 2 = CompletelyPaid, 3 = NotDeterminable
      format: int32
      x-enumNames:
        - Unpaid
        - PartiallyPaid
        - CompletelyPaid
        - NotDeterminable
      enum:
        - 0
        - 1
        - 2
        - 3
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.Shared.DeliveryStatus:
      type: integer
      description: >-
        0 = Cancelled, 1 = Open, 2 = PartiallyOnDeliveryNote, 3 =
        CompletelyOnDeliveryNote, 4 = PartiallyShipped, 5 = CompletelyShipped, 6
        = Credited, 7 = CompletedWithoutShipment
      format: int32
      x-enumNames:
        - Cancelled
        - Open
        - PartiallyOnDeliveryNote
        - CompletelyOnDeliveryNote
        - PartiallyShipped
        - CompletelyShipped
        - Credited
        - CompletedWithoutShipment
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
    JTL.Wawi.Verkaufsverwaltung.PublicApi.DataTransferObjects.V2.SalesOrderDomain.Deliverability:
      type: integer
      description: 0 = NotDeliverable, 1 = PartiallyDeliverable, 2 = Deliverable
      format: int32
      x-enumNames:
        - NotDeliverable
        - PartiallyDeliverable
        - Deliverable
      enum:
        - 0
        - 1
        - 2
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````